# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Dec 19 22:19:31 2022
# ------------------------------------------------

package:
  name: ipykernel
  version: 6.19.2
source:
  sha256: 1ab68d3d3654196266baa93990055413e167263ffbe4cfe834f871bcd3d3506d
  url: https://pypi.io/packages/source/i/ipykernel/ipykernel-6.19.2.tar.gz
build:
  number: '0'
  script:
    - /croot/ipykernel_1671488378391/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
      -m pip install . --no-deps -vv
    - /croot/ipykernel_1671488378391/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
      -m ipykernel install --sys-prefix
  script_env:
    - MIGRATING=False
  string: py310h2f386ee_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - asttokens 2.0.5 pyhd3eb1b0_0
    - backcall 0.2.0 pyhd3eb1b0_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.10.11 h06a4308_0
    - certifi 2022.9.24 py310h06a4308_0
    - comm 0.1.2 py310h06a4308_0
    - debugpy 1.5.1 py310h295c915_0
    - decorator 5.1.1 pyhd3eb1b0_0
    - editables 0.3 py310h06a4308_0
    - entrypoints 0.4 py310h06a4308_0
    - executing 0.8.3 pyhd3eb1b0_0
    - hatchling 1.8.0 py310h06a4308_0
    - ipython 8.7.0 py310h06a4308_0
    - jedi 0.18.1 py310h06a4308_1
    - jupyter_client 7.4.7 py310h06a4308_0
    - jupyter_core 4.11.2 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libsodium 1.0.18 h7b6447c_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - matplotlib-inline 0.1.6 py310h06a4308_0
    - ncurses 6.3 h5eee18b_3
    - nest-asyncio 1.5.5 py310h06a4308_0
    - openssl 1.1.1s h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - parso 0.8.3 pyhd3eb1b0_0
    - pathspec 0.9.0 py310h06a4308_0
    - pexpect 4.8.0 pyhd3eb1b0_3
    - pickleshare 0.7.5 pyhd3eb1b0_1003
    - pip 22.3.1 py310h06a4308_0
    - pluggy 1.0.0 py310h06a4308_1
    - prompt-toolkit 3.0.20 pyhd3eb1b0_0
    - psutil 5.9.0 py310h5eee18b_0
    - ptyprocess 0.7.0 pyhd3eb1b0_2
    - pure_eval 0.2.2 pyhd3eb1b0_0
    - pygments 2.11.2 pyhd3eb1b0_0
    - pyparsing 3.0.9 py310h06a4308_0
    - python 3.10.8 h7a1cb2a_1
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - pyzmq 23.2.0 py310h6a678d5_0
    - readline 8.2 h5eee18b_0
    - setuptools 65.5.0 py310h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.40.0 h5082296_0
    - stack_data 0.2.0 pyhd3eb1b0_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py310h06a4308_0
    - tornado 6.2 py310h5eee18b_0
    - traitlets 5.7.1 py310h06a4308_0
    - tzdata 2022g h04d1e81_0
    - wcwidth 0.2.5 pyhd3eb1b0_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.8 h5eee18b_0
    - zeromq 4.3.4 h2531618_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - comm >=0.1.1
    - debugpy >=1.0
    - ipython >=7.23.1
    - jupyter_client >=6.1.12
    - matplotlib-inline >=0.1
    - nest-asyncio
    - packaging
    - psutil
    - python >=3.10,<3.11.0a0
    - pyzmq >=17
    - tornado >=6.1
    - traitlets >=5.4.0
test:
  commands:
    - pip check
    - jupyter kernelspec list
  imports:
    - ipykernel
  requires:
    - curio
    - flaky
    - ipyparallel
    - jupyter_client
    - matplotlib-base
    - numpy
    - pip
    - pytest >=6.0
    - pytest-asyncio
    - pytest-cov
    - pytest-timeout
    - trio
about:
  description: 'A powerful interactive Python shell and a Jupyter kernel to work with

    Python code in Jupyter notebooks and other interactive frontends.

    '
  dev_url: https://github.com/ipython/ipykernel
  doc_source_url: https://github.com/ipython/ipykernel/blob/main/docs/index.rst
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: COPYING.md
  license_url: https://github.com/ipython/ipykernel/blob/main/COPYING.md
  summary: IPython Kernel for Jupyter
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3f87670b-5297-4f3d-9442-98e5ac503165
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - davidbrochart
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
  remote_url: git@github.com:AnacondaRecipes/ipykernel-feedstock.git
  sha: fa2117b6d2719fc2e5e625d551dd58bde321cbf1
